export declare type Props = {
    name: string;
    fetchOptions?: RequestInit;
};
declare type FetchProps = {
    data?: object | object[];
};
/**
 * [Docs](https://useweb.dev/?path=/docs/packages-serverless-firebase-functions-usefirebasefunction--example)
 *
 * [Firebase Functions docs](https://firebase.google.com/docs/functions/get-startedt)
 *
 * [Fetch Options](https://developer.mozilla.org/en-US/docs/Web/API/fetch#parameters)
 *
 * @example
 * const helloWorld = useFirebaseFunction({name: 'helloWorld'})
 *
 */
export default function useFirebaseFunction({ name, fetchOptions }: Props): {
    fetcher: (options?: FetchProps) => Promise<Response>;
    exec: (options?: FetchProps) => void;
    loading: boolean;
    error: any;
    result: any;
};
export {};
